• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

TFS 1.X+ After compling I get this error: PANIC: unprotected error in call to Lua API (attempt to index a nil value)

Marko999x

999x era
Premium User
Joined
Dec 14, 2017
Messages
2,983
Solutions
84
Reaction score
2,065
Location
Germany
I've compiled my sources befor without any problems but for some reason I get this error now:

Lua:
PANIC: unprotected error in call to Lua API (attempt to index a nil value)

I've not changed anything in my sources ( It worked befor too without any problems )
The error appears on server start
This happend after I redownloaded Vcpkg
Im using Nekiros Downgrade 1.5 ( 8.60 )
 
Last edited:
Solution
removing lua from vcpkg solved the problem!
Thanks everyone for help!
You need to remove:
Lua:
lua:x64-windows
I will report it to the support team and they can choose the "solution"
I think you added a librarie into vcpkg. i made the same mistake, had to revert it- let me review
Lua:
.\vcpkg remove --purge fmt:x64-windows
.\vcpkg install fmt:x64-windows
.\vcpkg integrate install
try this, if it does not works simply re-install vcpkg and tfs libraries again
 
I think you added a librarie into vcpkg. i made the same mistake, had to revert it- let me review
Lua:
.\vcpkg remove --purge fmt:x64-windows
.\vcpkg install fmt:x64-windows
.\vcpkg integrate install
try this, if it does not works simply re-install vcpkg and tfs libraries again
Tried both but still get these errors prob my vcpkg which im using to "compile" the nekiro downgrade is to old or something.
I cant compile these source with the current vcpkg..
 
I have never used VCPKG, be it the old or current version, to compile. I have successfully compiled several sources including TFS 1.56 8.0 and 8.6 Nekiro, as well as TFS 1.5 12x and OTX 12x. The difference was that I added the libs manually. Have you tried adding the libraries manually instead of using VCPKG?
 
Can u message me?
I have never used VCPKG, be it the old or current version, to compile. I have successfully compiled several sources including TFS 1.56 8.0 and 8.6 Nekiro, as well as TFS 1.5 12x and OTX 12x. The difference was that I added the libs manually. Have you tried adding the libraries manually instead of using VCPKG?
 
Back
Top